FruxonDocs
ApiIntegration config sandbox

Get a simulated entity by id.

Returns a single simulated entity from the sandbox. Use the entity id returned from list/create operations.

GET
/v1/tenants/{tenant}/integrations/{integration}/configs/{config}/sandbox/entities/{entity}
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

config*string

The integration config id whose sandbox to read from.

Formatuuid
entity*string

The simulated entity id.

Formatuuid
tenant*string

The tenant identifier

integration*string

The integration identifier

Response Body

curl -X GET "https://api.fruxon.com/v1/tenants/string/integrations/string/configs/497f6eca-6276-4993-bfeb-53cbbbba6f08/sandbox/entities/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "00000000-0000-0000-0000-000000000000",
  "entityType": "string",
  "scope": "string",
  "entityId": "string",
  "payload": "string",
  "tombstoned": false,
  "createdAt": 0,
  "modifiedAt": 0
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}